Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 29 Jul 2014, 12:46
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Google-Chrome pets and installing
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 4 [48 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Author Message
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Mon 21 Mar 2011, 09:35    Post subject:  

Sorry for the delay in posting this but have been busy at work. So here it is the change to the google-libs that should make it better for every one.

Google-libs-10.pet

_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
chrismt


Joined: 21 Apr 2010
Posts: 252

PostPosted: Wed 23 Mar 2011, 09:30    Post subject:  

@ GrumpyWolfe

Check this

http://murga-linux.com/puppy/viewtopic.php?t=65136&start=795

Embarassed
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Wed 23 Mar 2011, 09:51    Post subject:  

For what I have to say on the matter is that I myself have stop using Google-chrome a while back and just try and keep updating files to help out puppy users.

Running as root is not the wises way to run a system but with the way puppy is run in mostly frugal installs it is not a major problem and I have done some fire wall test and it stands up very well. I just do not like have anyone tell me I can not to something the way google has. To give a warning yes but to stop it, well that is like having them come into your house a 10 pm and say you need to get off your computer and go to bed lol. Google will be Google I use Firefox now. You can make your own choice.

_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 23 Mar 2011, 10:49    Post subject:  

chrismt wrote:
@ GrumpyWolfe

Check this

http://murga-linux.com/puppy/viewtopic.php?t=65136&start=795

Embarassed

chrismt good that you tell about these experiences of how they do it.

Chrome or Chromium?

What happens then if you go to Iron browser and look if they have an Iron version of Chrome /Chromium for Developers. Could teh Iron devs maybe have another policy than the Chromg gang have?

http://www.srware.net/forum/viewtopic.php?f=18&t=2293

We released the new Iron 10 for Linux today, which contains all features and updates known from Chromim 10. The current version is 10.0.650.0.

Mainly there is the new JavaScript Engine "Crankshaft", which is up to 60% faster than the known one. There are also many new experimental features in about:flags to discover. Additionaly this release contains some security- un bugfixes.

The userstring in UA.ini is now also used for the JS-UserAgent.


Downloads:
http://www.srware.net/downloads/iron-linux.tar.gz (32-Bit)
http://www.srware.net/downloads/iron-linux-64.tar.gz (64-Bit)

They are still at 10 instead of Chrome 11 but they sooner or later catch up. I have no idea if they have a developer version though or their policy on being root.

Could you maybe join their forum and ask for a version that works for us with Puppy?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Wed 23 Mar 2011, 11:56    Post subject:  

I downloaded Iron for linux but found that it requires glibc-2.11 and as of right now most puppys do not have this version of glibc so will not run on most puppys sorry.
_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 23 Mar 2011, 11:59    Post subject:  

Thanks Grumpy, that was sad. so we have to wait or tell them to not use that Glib then Smile Thanks for the try anyway.

Lobster showed that one could use sudo in puppy to allow the Chrome Dev version to run on Puppy but not as root. So not sure what that means. Spot does have restrictions. Can one tell Spot to behave as if Root but not telling Chrome Develper version about it?

Chris tell us that the Developer version is much faster. Does it casual user notice any difference? I mean they say that FF is slowest. And I maybe can see what they mean. Sometime I have to wait for it to shutdown so it is working on some maintenance thing in the background and then it shut down after several seconds and it is slow at start too.

But Chrome has other issues such as Flash plug in being different than the one for FF?

Grumpy your version and this version both need to have the special Glib and Lupu has the Ubuntu lib and that does not work together I guess?

http://www.murga-linux.com/puppy/viewtopic.php?t=65802

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Wed 23 Mar 2011, 13:27    Post subject:  

My pet for Google-chrome is for it to have the libs it needs not the lib.so.6 from glibc-2.11 but yes Lupu I believe has the glibc-2.11 they got from Ubuntu.

I am about to test the new Firefox 4 the test results I have read say it is a lot faster but will see how it does. But if google is going to try and tell me how to run my computer then I will not run there software.

_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
xman


Joined: 24 Sep 2009
Posts: 145

PostPosted: Thu 28 Apr 2011, 22:48    Post subject: 11.0.696.57 & spot?  

Deterioration inside browser industry continues Sad. Google-Chrome stable for linux is now 11.0.696.57. Debian package and libs-10 by GrumpyWolfe installed in Quirky-130, console says:

# google-chrome
/usr/bin/google-chrome: error while loading shared libaries: libpam.so.0: cannot open shared object file: No such file or directory


Pam placed to /opt/google/chrome/, chrome demands to lower my status:

Google Chrome can not be run as root. Please start Google as a normal user. If you have previously run Google Chrome as root, you will need to change the ownership of your profile directory.

Wrong Pam or what to do?

100th post Very Happy. Just updated Firefox from 4.0 to 4.0.1. No spot required. Waiting for crash.
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Thu 28 Apr 2011, 23:43    Post subject: google changes  

xman I can updater the google-libs to include libpam but as for the root issue here is a post that mite interests you.

http://code.google.com/p/chromium/issues/detail?id=74594

and

http://code.google.com/p/chromium/issues/detail?id=75575

This put the fixing of not running as root out of my hands unless someone else sees a work around. It is just google develpers way of putting out rules the want everybody to follow the end.

_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Fri 29 Apr 2011, 04:38    Post subject:  

Not running as root. Does running as spot make it work? It is not that bad.
Micko did a good thing with the BrowseSafe pet so do try it. I am using Iron instead of Chromium. Same thing only some months older in versions. Maybe they know how to do the root thing or if I am out of luck them too is non-root obsessed. But the old version 10 don't require root.

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Fri 29 Apr 2011, 07:53    Post subject: old version  

Old version is ok but with all the newer version this will be in there and myself I am not staying up to mach with google-chrome any more back to using Firefox with this root thing out so if Iron in browse safe works for you use it.
_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Fri 29 Apr 2011, 07:59    Post subject:  

VLC seems to have same policy so it is spreading like wild fire. Sad indeed.
_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Fri 29 Apr 2011, 08:20    Post subject:  

I have to use a hack to keep thunar from giving a warning message so I hope they don't start stopping people from using it as root that will be a real bummer
_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
puppyiso


Joined: 12 Jan 2009
Posts: 595

PostPosted: Sun 08 May 2011, 23:05    Post subject:  

GrumpyWolfe, I cannot download from the sourceforge site.

My 431 quickset version desperately needs it.

Please give me a link to it.

John
Back to top
View user's profile Send private message 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Sun 08 May 2011, 23:14    Post subject:  

I am not sure why your quickpet is not able to download but here is the google-libs http://sourceforge.net/projects/mywolfe/files/Google-chrome/google-libs-10.pet/download you can download google-chrome from here http://www.google.com/chrome/eula.html?hl=en&installdataindex=make&brand=CHMA&platform=linux_ubuntu_i386 While I have not updated the libs and there is a problem with the newer google-chrome the older google-chrome that I have at souceforge will run is here http://sourceforge.net/projects/mywolfe/files/Google-chrome/google-chrome-dev-10.0.612.1.pet/download

Let me know if this helps

_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 3 of 4 [48 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0865s ][ Queries: 11 (0.0146s) ][ GZIP on ]